import "~/styles/globals.css";

import { GeistSans } from "geist/font/sans";
import { type Metadata } from "next";

import { TailwindIndicator } from "~/components/tailwind-indicator";

export const metadata: Metadata = {
  title: "Create OWN App",
  description: "Generated by create-own-app",
  icons: [{ rel: "icon", url: "/favicon.ico" }],
};

export default function RootLayout({
  children,
}: Readonly<{ children: React.ReactNode }>) {
  return (
    <html lang="en" className={`${GeistSans.variable}`}>
      <body>
        {children}
        <TailwindIndicator />
      </body>
    </html>
  );
}
